java.lang.IllegalStateException: Marshaller must support the class of the marshalled object

Spring JIRA | Erik-Berndt Scheper | 7 years ago
tip
Do you find the tips below useful? Click on the to mark them and say thanks to rafael . Or join the community to write better ones.
  1. 0
    samebug tip
    If you're using boot 1.4.x you need to modify the @springBootTest annotation to @SpringBootTest(classes = DataFlowServerConfiguration.class). 1.3.8 doesn't have this problem as well.
    via GitHub by trisberg
  2. 0
    samebug tip
    Spring Boot 1.4 changed their annotation system a little. Try using the @SpringBootApplication annotation for better results.
  3. Speed up your debug routine!

    Automated exception search integrated into your IDE

  4. 0

    Error while Implementing HATEOAS in Spring

    Stack Overflow | 3 years ago | Sunil Ks
    java.lang.IllegalStateException: Could not find current request via RequestContextHolder

  1. Dunmer 1 times, last 1 week ago
  2. tvrmsmith 1 times, last 3 weeks ago
  3. SteVio1989 8 times, last 2 months ago
  4. jpvee 2 times, last 3 months ago
  5. Hronom 3 times, last 3 months ago
3 more registered users
49 unregistered visitors
Not finding the right solution?
Take a tour to get the most out of Samebug.

Tired of useless tips?

Automated exception search integrated into your IDE

Root Cause Analysis

  1. java.lang.IllegalStateException

    Marshaller must support the class of the marshalled object

    at org.springframework.util.Assert.state()
  2. Spring Core
    Assert.state
    1. org.springframework.util.Assert.state(Assert.java:384)
    1 frame